<?php

namespace App\ViewModels\Voucher\VoucherRegistrationViewModel;

use App\Utils\Entity;

class VoucherRegistrationViewModel extends Entity {
	// protected $id;
	protected $id_tipo;
	protected $id_compra;
	protected $id_status;
	protected $id_compra_item;
	protected $serial;
	protected $id_pet;
	protected $id_usuario;
	protected $data_vencimento;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;

	// protected $alterado_por;
	// protected $data_alteracao;
	// protected $hora_alteracao;
	public static function builder(): VoucherRegistrationViewModelBuilder {

		return new  VoucherRegistrationViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdTipo() {

		return $this->id_tipo;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdCompra() {

		return $this->id_compra;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdCompraItem() {
		
		return $this->id_compra_item;
		
	}
	
	/**
	 *
	 * @return mixed
	 */
	public function getIdStatus() {

		return $this->id_status;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getSerial() {

		return $this->serial;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdPet() {

		return $this->id_pet;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUsuario() {

		return $this->id_usuario;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataVencimento() {

		return $this->data_vencimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;

	}

	/**
	 *
	 * @param mixed $id_tipo
	 */
	public function setIdTipo($id_tipo) {

		$this->id_tipo = $id_tipo;

	}

	/**
	 *
	 * @param mixed $id_compra
	 */
	public function setIdCompra($id_compra) {

		$this->id_compra = $id_compra;

	}
	
	/**
	 *
	 * @param mixed $id_compra
	 */
	public function setIdCompraItem($id_compra_item) {
		
		$this->id_compra_item = $id_compra_item;
		
	}

	/**
	 *
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status) {

		$this->id_status = $id_status;

	}

	/**
	 *
	 * @param mixed $serial
	 */
	public function setSerial($serial) {

		$this->serial = $serial;

	}

	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setIdPet($id_pet) {

		$this->id_pet = $id_pet;

	}

	/**
	 *
	 * @param mixed $id_usuario
	 */
	public function setIdUsuario($id_usuario) {

		$this->id_usuario = $id_usuario;

	}

	/**
	 *
	 * @param mixed $data_vencimento
	 */
	public function setDataVencimento($data_vencimento) {

		$this->data_vencimento = $data_vencimento;

	}

	/**
	 *
	 * @param mixed $id_usuario
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;

	}

}

